Sign With Crypto Key
const url = 'https://example.com/vault/v1/workspaces/example/engines/qibdo/cryptoKeys/example:sign';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"workspace":"example","id":"example","message":"example","key_version":"example","signature_algorithm":"example","prehashed":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/vault/v1/workspaces/example/engines/qibdo/cryptoKeys/example:sign \ --header 'Content-Type: application/json' \ --data '{ "workspace": "example", "id": "example", "message": "example", "key_version": "example", "signature_algorithm": "example", "prehashed": true }'AIP-136 custom method. Signs message under a SIGN_VERIFY key. prehashed
= true treats message as a pre-computed digest (e.g., SHA-256 of payload).
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”The workspace the crypto key belongs to.
The unique identifier of the SIGN_VERIFY crypto key.
Request Body required
Section titled “Request Body required ”Request payload for Sign With Qibdo Crypto Key
Carries the input fields required to sign with qibdo crypto key.
object
The workspace the crypto key belongs to.
The unique identifier of the SIGN_VERIFY crypto key.
The message bytes to sign (or pre-computed digest if prehashed=true).
Optional explicit version number to sign with. Defaults to the latest ENABLED version.
Optional signature algorithm hint for RSA keys (e.g. “pss”, “pkcs1v15”).
When true, treat message as a pre-computed digest of the same hash size as the key.
Example generated
{ "workspace": "example", "id": "example", "message": "example", "key_version": "example", "signature_algorithm": "example", "prehashed": true}Responses
Section titled “ Responses ”OK
Response payload from Sign With Qibdo Crypto Key
Carries the output produced by sign with qibdo crypto key.
object
The signature bytes, opaque to the caller.
The version of the crypto key that produced the signature.
Example generated
{ "signature": "example", "key_version": "example"}default
Section titled “default ”Default error response
The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.
object
The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
A list of messages that carry the error details. There is a common set of message types for APIs to use.
Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.
object
The type of the serialized message.
Example generated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}